Module jdk.jdi
Package com.sun.jdi

# Class VMCannotBeModifiedException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
java.lang.UnsupportedOperationException
com.sun.jdi.VMCannotBeModifiedException

All Implemented Interfaces:
  `Serializable`

public class VMCannotBeModifiedException extends UnsupportedOperationException
Thrown to indicate that the operation is invalid because it would modify the VM and the VM is read-only. See `VirtualMachine.canBeModified()`.

Since:
  1.5
See Also:
  Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VMCannotBeModifiedException()`
`VMCannotBeModifiedException​(String s)`

## Method Summary

### Methods declared in class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VMCannotBeModifiedException

public VMCannotBeModifiedException()

### VMCannotBeModifiedException

public VMCannotBeModifiedException​(String s)